RewriteEngine On

RewriteCond %{HTTPS} off
RewriteRule ^ https://%{HTTP_HOST}%{REQUEST_URI} [L,R=301]

Options -Indexes

RewriteRule ^composer\.json$ - [F,L]
RewriteRule ^composer\.lock$ - [F,L]
RewriteRule ^currencies\.json$ - [F,L]
RewriteRule ^currencies\.txt$ - [F,L]
RewriteRule ^refills\.php$ - [F,L]

RewriteRule ^([a-zA-Z0-9-_/]+)$ index.php [QSA]

<IfModule mime_module>
  AddHandler application/x-httpd-ea-php74 .php .php7 .phtml
</IfModule>